<?php
/*
 * $this will be object of html class
 */
$this->fetch ( "information_infoBlocks", array (
		'status' => ACTIVE_VALUE
) );
$folder = ! empty ( $this->query [2] ) ? $this->query [2] : "";
$folder=is_numeric($folder)?'':$folder;
$page = ! empty ( $this->query [3] ) ? $this->query [3] : 1;
$searchKey = is_numeric($this->query[3])?'':$this->query[3];
$this->addCSS ( "style.css", false, 'library');
//var_dump($_COOKIE);
if (!empty($_GET['album'])){
	$folderId = intval($_GET['album']);

} else {
	$folderId =0;
}
if (!empty($_GET['track'])){
	$trackId = intval($_GET['track']);
} else {
	$trackId =0;
}

//$folderId=!empty($_GET['album'])?$_GET['album']:0;


?>

<div id="pageContent">
	<!-- Folder List -->


	<!-- track List -->
	<div id="track-list">
<?php
$folder='';
	$folder_id=0;
if(!empty($_GET['album'])){
	$folder=MODULE_PATH."library/ajax/folderList.php";
	$parentFolderId = intval($_GET ['album']);
	$folder_id=$parentFolderId;
}else{
	$folder=MODULE_PATH."library/ajax/folderList.php";
 	$parentFolderId =0;

 }
if(!empty($_GET['track'])){
	$folder=MODULE_PATH."library/ajax/fileTrack.php";
	$trackId = intval($_GET['track']);
	$folder_id=$trackId;
}
if($folder!=''){
	require_once($folder);
}
?>
	</div>
</div>
<script type="text/javascript">

	my_hypercomments(<?php echo $folder_id;?>);

    $(document).ready(function () {
        $("#mobile-navigation-content").text("<?php echo AUDIO_LIBRARY ?>");
    });


/*
var tmp = new Array();      // два вспомагательных
var tmp2 = new Array();     // массива
var param = new Array();


if(get=='') {
listFolder(<?php echo $folderId;?>);
}else{
    tmp = (get.substr(1)).split('=');
      if(tmp[0]=='album'){
        listFolder(<?php echo $folderId;?>);
        }
    if(tmp[0]=='track'){
        fileTrack(<?php echo $trackId;?>);
        }
}
*/
</script>
<?php
if (!empty($_GET['playlist'])) { // This will also skip if $_GET['playlist'] == 0
?>
<script>
    $(document).ready(function(){
        loadPlaylistDetails({playlist_id: <?php echo '"' . $_GET['playlist'] . '"';?>, friendly_name: <?php echo '"' . $_GET['friendlyName'] . '"';?>});
    });
</script>
<?php
} else { // If not a playlist url, try to use 'folder' cookie to restore playlist
?>
<script>
    $(document).ready(function () {
        if (myPlaylist.playlist.length < 1)
            checkCookieForTracks();
    });
</script>
<?php
}
?>

